Last Comment Bug 720152 - java.lang.UnsupportedOperationException: Unknown delete URI content://org.mozilla.fennec.db.browser/images/185?profile=default&limit=5&show_deleted=1&sync=1
: java.lang.UnsupportedOperationException: Unknown delete URI content://org.moz...
Status: VERIFIED FIXED
[native-crash]
: crash, reproducible
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: P2 critical (vote)
: Firefox 12
Assigned To: Lucas Rocha (:lucasr)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-21 11:55 PST by Martijn Wargers [:mwargers] (not working for Mozilla)
Modified: 2012-01-27 08:43 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
logcat of crash (169.16 KB, text/plain)
2012-01-21 11:55 PST, Martijn Wargers [:mwargers] (not working for Mozilla)
no flags Details
Add URI matches for image ID operations (1.25 KB, patch)
2012-01-24 07:14 PST, Lucas Rocha (:lucasr)
blassey.bugs: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review

Description Martijn Wargers [:mwargers] (not working for Mozilla) 2012-01-21 11:55:15 PST
Created attachment 590501 [details]
logcat of crash

I can repeatedly crash, while visiting crash reporter links from about:crashes.
It does happen intermittently, but usually trying it t0 times results in a crash.

Steps to reproduce:
- go to about:crashes
- Tap on one of the crash reporter links
- If it doesn't crash, go back and tap again on one of the crash reporter links

Tested on the LG Optimus Black, Android 2.2.2.

I've attached a crash log.
I think this is the relevant part of the log:
01-21 19:22:35.786: D/GeckoBrowserProvider(3024): Deleting all unused images for URI: content://org.mozilla.fennec.db.browser/history/2?profile=default
01-21 19:22:35.786: D/GeckoBrowserProvider(3024): Deleting images for URI: content://org.mozilla.fennec.db.browser/history/2?profile=default
01-21 19:22:35.786: D/GeckoBrowserProvider(3024): Getting writable database for URI: content://org.mozilla.fennec.db.browser/history/2?profile=default
01-21 19:22:35.786: D/GeckoBrowserProvider(3024): Marking images as deleted for URI: content://org.mozilla.fennec.db.browser/history/2?profile=default
01-21 19:22:35.786: D/GeckoBrowserProvider(3024): Getting readable database for URI: content://org.mozilla.fennec.db.browser/images?profile=default&limit=5&show_deleted=1&sync=1
01-21 19:22:35.794: D/GeckoBrowserProvider(3024): Query is on images: content://org.mozilla.fennec.db.browser/images?profile=default&limit=5&show_deleted=1&sync=1
01-21 19:22:35.794: D/GeckoBrowserProvider(3024): Running built query.
01-21 19:22:35.802: D/GeckoBrowserProvider(3024): Calling delete on URI: content://org.mozilla.fennec.db.browser/images/185?profile=default&limit=5&show_deleted=1&sync=1
01-21 19:22:35.802: D/GeckoBrowserProvider(3024): Getting writable database for URI: content://org.mozilla.fennec.db.browser/images/185?profile=default&limit=5&show_deleted=1&sync=1
01-21 19:22:35.809: D/GeckoBrowserProvider(3024): Calling delete in transaction on URI: content://org.mozilla.fennec.db.browser/images/185?profile=default&limit=5&show_deleted=1&sync=1
01-21 19:22:35.833: W/dalvikvm(3024): threadid=7: thread exiting with uncaught exception (group=0x40020c20)
01-21 19:22:35.849: E/AndroidRuntime(3024): FATAL EXCEPTION: GeckoLooper Thread
01-21 19:22:35.849: E/AndroidRuntime(3024): java.lang.UnsupportedOperationException: Unknown delete URI content://org.mozilla.fennec.db.browser/images/185?profile=default&limit=5&show_deleted=1&sync=1
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at org.mozilla.fennec.db.BrowserProvider.deleteInTransaction(BrowserProvider.java:639)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at org.mozilla.fennec.db.BrowserProvider.delete(BrowserProvider.java:583)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at org.mozilla.fennec.db.BrowserProvider.cleanupSomeDeletedRecords(BrowserProvider.java:497)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at org.mozilla.fennec.db.BrowserProvider.deleteImages(BrowserProvider.java:1225)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at org.mozilla.fennec.db.BrowserProvider.deleteUnusedImages(BrowserProvider.java:1240)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at org.mozilla.fennec.db.BrowserProvider.deleteInTransaction(BrowserProvider.java:621)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at org.mozilla.fennec.db.BrowserProvider.delete(BrowserProvider.java:583)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at android.content.ContentProvider$Transport.delete(ContentProvider.java:198)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at android.content.ContentResolver.delete(ContentResolver.java:725)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at org.mozilla.gecko.db.LocalBrowserDB.truncateHistory(LocalBrowserDB.java:137)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at org.mozilla.gecko.db.LocalBrowserDB.updateVisitedHistory(LocalBrowserDB.java:176)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at org.mozilla.gecko.db.BrowserDB.updateVisitedHistory(BrowserDB.java:103)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at org.mozilla.gecko.GlobalHistory.add(GlobalHistory.java:119)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at org.mozilla.gecko.GeckoAppShell$14.run(GeckoAppShell.java:1648)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at android.os.Handler.handleCallback(Handler.java:587)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at android.os.Handler.dispatchMessage(Handler.java:92)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at android.os.Looper.loop(Looper.java:123)
01-21 19:22:35.849: E/AndroidRuntime(3024): 	at org.mozilla.gecko.GeckoAppShell$LooperThread.run(GeckoAppShell.java:174)
01-21 19:22:35.864: W/ActivityManager(1723):   Force finishing activity org.mozilla.fennec/.App
Comment 1 Martijn Wargers [:mwargers] (not working for Mozilla) 2012-01-21 12:23:08 PST
Hrm, I seem to crash every time when trying to load bugzilla.
Comment 2 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-01-22 14:28:46 PST
I noticed that I can crash while rotating in about:crashes.

I can also crash while rotating from portrait to landscape on bugzilla.

Not sure if it's the same crash as Bug 711852; I recorded it in the same bug.
Comment 3 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-01-22 15:53:40 PST
Ignore Comment 2; turns out I was on the wrong build.
Comment 4 Lucas Rocha (:lucasr) 2012-01-24 07:14:37 PST
Created attachment 591082 [details] [diff] [review]
Add URI matches for image ID operations

I forgot to add the URI matches for image IDs in our content provider. This bug is actually unrelated to about:crashes. It's being triggered by the cleanup routine for deleted history entries.
Comment 5 Martijn Wargers [:mwargers] (not working for Mozilla) 2012-01-24 12:55:14 PST
Yeah, it's unrelated to about:crashes. I seem to crash very frequently in the latest trunk build (and seemingly randomly), so I hope this patch will fix that.
Comment 6 Lucas Rocha (:lucasr) 2012-01-25 03:19:38 PST
Pushed: http://hg.mozilla.org/integration/mozilla-inbound/rev/14488fd43b86
Comment 7 Lucas Rocha (:lucasr) 2012-01-25 03:20:45 PST
Comment on attachment 591082 [details] [diff] [review]
Add URI matches for image ID operations

Fixes a frequent crasher on our history/bookmarks DB. Mobile-only.
Comment 8 Alex Keybl [:akeybl] 2012-01-25 17:07:45 PST
Comment on attachment 591082 [details] [diff] [review]
Add URI matches for image ID operations

[Triage Comment]
Mobile only - approved for Aurora.
Comment 9 Ed Morley [:emorley] 2012-01-25 18:09:10 PST
https://hg.mozilla.org/mozilla-central/rev/14488fd43b86
Comment 10 Matt Brubeck (:mbrubeck) 2012-01-26 17:34:31 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/b643633fc6fb
Comment 11 Cristian Nicolae (:xti) 2012-01-27 08:43:10 PST
This crash is not reproducible on the latest Nightly and Aurora builds. Closing it as verified fixed.

--
Mozilla/5.0 (Android;Linux armv7l;rv:12.0a1)Gecko/20120127
Firefox/12.0a1 Fennec/12.0a1
Devices: Samsung Galaxy S
OS: Android 2.2

Note You need to log in before you can comment on or make changes to this bug.